summaryrefslogtreecommitdiff
path: root/package/busybox/files/crond.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/busybox/files/crond.init')
-rw-r--r--package/busybox/files/crond.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/busybox/files/crond.init b/package/busybox/files/crond.init
new file mode 100644
index 000000000..c0b9da9e4
--- /dev/null
+++ b/package/busybox/files/crond.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${crond:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ mkdir -p /var/spool/cron
+ crond -c /etc/crontabs
+ ;;
+stop)
+ kill $(pidof crond|cut -d ' ' -f 3)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?